Bug 924711 - [RHEL6] tail -f doesn't work on panasas file systems
Summary: [RHEL6] tail -f doesn't work on panasas file systems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: coreutils
Version: 6.2
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Ondrej Vasik
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 827199
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-22 11:14 UTC by Libor Miksik
Modified: 2018-12-01 18:34 UTC (History)
11 users (show)

Fixed In Version: coreutils-8.4-19.el6_4.1
Doc Type: Bug Fix
Doc Text:
The "tail -f" command uses inotify for tracking changes in files. For remote file systems [-/,] inotify is not available. In the case of unknown file systems, for example panasas, "tail -f" failed instead of falling back to polling. Now, the list of known file systems is updated and "tail -f" is modified to fall back into polling for unknown file systems. As result, "tail -f" now works correctly, even on unknown file systems, with only a warning about the unknown file system and a fall back to polling.Cause: tail -f uses inotify for tracking changes in files. For remote filesystems inotify is not available. Consequence: In the case of unknown filesystems like panasas, tail -f simply failed, instead of fallback to polling. Fix: List of known filesystems was updated and tail was modified to fallback into polling, for unknown filesystems. Result: As result, tail -f will work correctly even on unknown filesystems, just with warning about unknown filesystem and fallback to polling.
Clone Of:
Environment:
Last Closed: 2013-04-04 07:10:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0703 0 normal SHIPPED_LIVE coreutils bug fix update 2013-04-04 11:09:41 UTC

Description Libor Miksik 2013-03-22 11:14:48 UTC
This bug has been copied from bug #827199 and has been proposed
to be backported to 6.4 z-stream (EUS).

Comment 8 errata-xmlrpc 2013-04-04 07:10:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0703.html


Note You need to log in before you can comment on or make changes to this bug.